package lezione11;

import java.util.ArrayList;

public class Slide05 {

	public static void main(String[] args) {
		ArrayList<String> lista = new ArrayList<>();
		lista.add("Stefano"); // aggiungta elemento in coda alla lista
		lista.add("Marco");
		lista.add("Franco");
		ArrayList<String> altraLista = new ArrayList<>();
		altraLista.addAll(lista); // aggiunta elementi da altra lista
		for (int i = 0; i < lista.size(); i++) { // lettura numero elementi della lista
			System.out.println("lista @ " + i + ") " + lista.get(i)); // lettura elemento della lista in posizione 'i'
		}
		System.out.println("-----1-----");
		lista.remove(0); // rimozione elemento dalla lista
		for (int i = 0; i < lista.size(); i++) {
			System.out.println("lista @ " + i + ") " + lista.get(i));
		}
		System.out.println("-----2-----");
		lista.clear(); // cancellazione elementi lista
		System.out.println("lista è vuota? " + lista.isEmpty()); // verifica lista vuota
		System.out.println("-----3-----");
		for (int i = 0; i < lista.size(); i++) {
			System.out.println("lista @ " + i + ") " + lista.get(i));
		}
		System.out.println("-----4----");
		String[] array = lista.toArray(new String[] {}); // conversione lista -> array
		String[] altroArray = altraLista.toArray(new String[] {});
		for (int i = 0; i < array.length; i++) {
			System.out.println("array @ " + i + ") " + array[i]);
		}
		System.out.println("-----5-----");
		for (int i = 0; i < altroArray.length; i++) {
			System.out.println("altroArray @ " + i + ") " + altroArray[i]);
		}
		System.out.println("-----6-----");
		/*
		 * ATTENZIONE: il metodo 'contains()' funziona solo con tipi di dato
		 * per cui sia chiaro quando sue valori sono uguali (e.g. i tipi primitivi e String)
		 */
		System.out.println("lista contiene 'Stefano'? " + altraLista.contains("Stefano")); // verifica presenza elemento.
		System.out.println("-----7-----");
		altraLista.add(1, "Alket"); // aggiunta elemento in posizione specifica
		for (int i = 0; i < altraLista.size(); i++) {
			System.out.println("altraLista @ " + i + ") " + altraLista.get(i));
		}
		System.out.println("-----8-----");
		altraLista.set(1, "Alket Cecaj"); // modifica elemento in posizione specifica
		for (int i = 0; i < altraLista.size(); i++) {
			System.out.println("altraLista @ " + i + ") " + altraLista.get(i));
		}
		System.out.println("-----9-----");
		System.out.println("'Franco' compare @ " + altraLista.indexOf("Franco")); // lettura posizione elemento specificato (-1 se non presente)
		System.out.println("-----10-----");
		/*
		 * ATTENZIONE: il metodo 'sort()' funziona solo se e' disponibile un "ordine naturale" tra gli elementi
		 * (e.g. su numeri ordine numerico e su stringhe ordine alfanumerico)
		 */
		altraLista.sort(null); // ordinamento lista
		for (int i = 0; i < altraLista.size(); i++) {
			System.out.println("altraLista @ " + i + ") " + altraLista.get(i));
		}
	}

}
