package lezione11;

import java.util.ArrayList;
import java.util.HashMap;

public class Slide08 {

	public static void main(String[] args) {
		HashMap<Integer, String> numeri = new HashMap<>();
		numeri.put(0, "zero");
		numeri.put(1, "uno");
		numeri.put(2, "due");
		for (Integer i : numeri.keySet()) { // costrutto 'for-each'
			System.out.println(i + " -> " + numeri.get(i));
		}
		System.out.println("size = " + numeri.size());
		/*
		 * ATTENZIONE: il metodo 'containsKey()' funziona solo con tipi di dato
		 * per cui sia chiaro quando sue valori sono uguali (e.g. i tipi primitivi e String)
		 */
		System.out.println("contains 3: " + numeri.containsKey(3));
		System.out.println("is empty: " + numeri.isEmpty());
		numeri.remove(1);
		/*
		 * ATTENZIONE: il metodo 'containsValue()' funziona solo con tipi di dato
		 * per cui sia chiaro quando sue valori sono uguali (e.g. i tipi primitivi e String)
		 */
		System.out.println("contains uno: " + numeri.containsValue("uno"));
		numeri.replace(0, "o");
		ArrayList<String> valori = new ArrayList<>(numeri.values());
		for (String s : valori) {
			System.out.print(s + " ");
		}
	}

}
